## fltk1.1-1.1.7.tar.bz2

=== Makefile ===
#
# "$Id: Makefile 4756 2006-01-15 18:36:16Z mike $"
#
# Top-level makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2006 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

include makeinclude

DIRS	=	$(IMAGEDIRS) src fluid test documentation

all: makeinclude
	for dir in $(DIRS); do\
		echo "=== making $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS)) || exit 1;\
	done

install: makeinclude
	-mkdir -p $(DESTDIR)$(bindir)
	$(RM) $(DESTDIR)$(bindir)/fltk-config
	-cp fltk-config $(DESTDIR)$(bindir)
	-chmod 755 $(DESTDIR)$(bindir)/fltk-config
	for dir in FL $(DIRS); do\
		echo "=== installing $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) install) || exit 1;\
	done

install-desktop: makeinclude
	cd documentation; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)
	cd fluid; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)
	cd test; $(MAKE) $(MFLAGS) $(INSTALL_DESKTOP)

uninstall: makeinclude
	$(RM) $(DESTDIR)$(bindir)/fltk-config
	for dir in FL $(DIRS); do\
		echo "=== uninstalling $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) uninstall) || exit 1;\
	done

uninstall-desktop: makeinclude
	cd documentation; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)
	cd fluid; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)
	cd test; $(MAKE) $(MFLAGS) $(UNINSTALL_DESKTOP)

depend: makeinclude
	for dir in $(DIRS); do\
		echo "=== making dependencies in $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) depend) || exit 1;\
	done

clean:
	-$(RM) core *.o
	for dir in $(DIRS); do\
		echo "=== cleaning $$dir ===";\
		(cd $$dir; $(MAKE) $(MFLAGS) clean) || exit 1;\
	done

distclean: clean
	$(RM) config.*
	$(RM) fltk-config fltk.list makeinclude
	$(RM) FL/Makefile
	$(RM) documentation/*.$(CAT1EXT)
	$(RM) documentation/*.$(CAT3EXT)
	$(RM) documentation/fltk.pdf
	$(RM) documentation/fltk.ps
	$(RM) -r documentation/fltk.d
	for file in test/*.fl; do\
		$(RM) test/`basename $$file .fl`.cxx; \
		$(RM) test/`basename $$file .fl`.h; \
	done

makeinclude: configure configh.in makeinclude.in
	if test -f config.status; then \
		./config.status --recheck; \
		./config.status; \
	else \
		./configure; \
	fi
	touch config.h
	chmod +x fltk-config

# configure: configure.in
# 	autoconf

portable-dist:
	epm -v -s fltk.xpm fltk

native-dist:
	epm -v -f native fltk


#
# End of "$Id: Makefile 4756 2006-01-15 18:36:16Z mike $".
#

=== documentation/Makefile ===
#
# "$Id: Makefile 4756 2006-01-15 18:36:16Z mike $"
#
# Documentation makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2005 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

# Get configuration stuff...
include ../makeinclude

# What media size to use:

# "Universal" size - minimum of US Letter and A4
MEDIA		=	--size universal

# Standard US Letter
#MEDIA		=	--size letter

# Standard A4
#MEDIA		=	--size a4

# 7x8.5in (1/2 legal page) with reduced-size fonts
#MEDIA		=	--size 7x8.5in --fontsize 9.0

# These are the HTML "source" files...
HTMLFILES	= \
		preface.html \
		intro.html \
		basics.html \
		common.html \
		editor.html \
		drawing.html \
		events.html \
		subclassing.html \
		opengl.html \
		fluid.html \
		widgets.html \
		Fl.html \
		Fl_Adjuster.html \
		Fl_Bitmap.html \
		Fl_BMP_Image.html \
		Fl_Box.html \
		Fl_Browser_.html \
		Fl_Browser.html \
		Fl_Button.html \
		Fl_Chart.html \
		Fl_Check_Browser.html \
		Fl_Check_Button.html \
		Fl_Choice.html \
		Fl_Clock.html \
		Fl_Color_Chooser.html \
		Fl_Counter.html \
		Fl_Dial.html \
		Fl_Double_Window.html \
		Fl_End.html \
		Fl_File_Browser.html \
		Fl_File_Chooser.html \
		Fl_File_Icon.html \
		Fl_File_Input.html \
		Fl_Float_Input.html \
		Fl_Free.html \
		Fl_GIF_Image.html \
		Fl_Gl_Window.html \
		Fl_Group.html \
		Fl_Help_Dialog.html \
		Fl_Help_View.html \
		Fl_Hold_Browser.html \
		Fl_Image.html \
		Fl_Input.html \
		Fl_Input_.html \
		Fl_Input_Choice.html \
		Fl_Int_Input.html \
		Fl_JPEG_Image.html \
		Fl_Light_Button.html \
		Fl_Menu_.html \
		Fl_Menu_Bar.html \
		Fl_Menu_Button.html \
		Fl_Menu_Item.html \
		Fl_Menu_Window.html \
		Fl_Multi_Browser.html \
		Fl_Multiline_Input.html \
		Fl_Multiline_Output.html \
		Fl_Output.html \
		Fl_Overlay_Window.html \
		Fl_Pack.html \
		Fl_Pixmap.html \
		Fl_PNG_Image.html \
		Fl_PNM_Image.html \
		Fl_Positioner.html \
		Fl_Preferences.html \
		Fl_Progress.html \
		Fl_Repeat_Button.html \
		Fl_RGB_Image.html \
		Fl_Return_Button.html \
		Fl_Roller.html \
		Fl_Round_Button.html \
		Fl_Scroll.html \
		Fl_Scrollbar.html \
		Fl_Secret_Input.html \
		Fl_Select_Browser.html \
		Fl_Shared_Image.html \
		Fl_Single_Window.html \
		Fl_Slider.html \
		Fl_Spinner.html \
		Fl_Tabs.html \
		Fl_Text_Buffer.html \
		Fl_Text_Display.html \
		Fl_Text_Editor.html \
		Fl_Tile.html \
		Fl_Tiled_Image.html \
		Fl_Timer.html \
		Fl_Tooltip.html \
		Fl_Valuator.html \
		Fl_Value_Input.html \
		Fl_Value_Output.html \
		Fl_Value_Slider.html \
		Fl_Widget.html \
		Fl_Window.html \
		Fl_Wizard.html \
		Fl_XBM_Image.html \
		Fl_XPM_Image.html \
		functions.html \
		enumerations.html \
		glut.html \
		forms.html \
		osissues.html \
		migration.html \
		license.html

IMAGEFILES	= \
		adjuster1.gif \
		boxtypes.gif \
		buttons.gif \
		charts.gif \
		choice.gif \
		clock.gif \
		counter.gif \
		cubeview.gif \
		dial.gif \
		editor.gif \
		editor-replace.gif \
		fl_alert.gif \
		fl_ask.gif \
		Fl_Check_Button.gif \
		fl_choice.gif \
		fl_color_chooser.jpg \
		Fl_File_Chooser.jpg \
		Fl_File_Input.gif \
		FL.gif \
		Fl_Help_Dialog.gif \
		fl_input.gif \
		Fl_Light_Button.gif \
		fl_message.gif \
		fl_password.gif \
		Fl_Return_Button.gif \
		Fl_Roller.gif \
		Fl_Round_Button.gif \
		Fl_Scroll.gif \
		fl_show_colormap.gif \
		Fl_Tile.gif \
		fluid1.gif \
		fluid2.gif \
		fluid3-cxx.gif \
		fluid3-gui.gif \
		fluid3-style.gif \
		fluid4.gif \
		fluid-catgets.gif \
		fluid-gettext.gif \
		fluid-org.gif \
		fluid_prefs.gif \
		fluid_widget_cxx.gif \
		fluid_widget_gui.gif \
		fluid_widget_style.gif \
		Fl_Value_Input.gif \
		Fl_Value_Output.gif \
		hello.C.gif \
		input_choice.jpg \
		menubar.gif \
		menu_button.gif \
		menu.gif \
		positioner.gif \
		resizebox1.gif \
		resizebox2.gif \
		round_clock.gif \
		scrollbar.gif \
		slider.gif \
		symbols.gif \
		tabs.gif \
		text.gif \
		valuators.gif \
		value_slider.gif


MANPAGES =	fltk.$(CAT3EXT) fltk-config.$(CAT1EXT) fluid.$(CAT1EXT) \
		checkers.$(CAT6EXT) sudoku.$(CAT6EXT)

all:	$(MANPAGES)

alldocs:	fltk.ps fltk.pdf fltk.d/index.html $(MANPAGES)

clean:
	$(RM) fltk.ps
	$(RM) fltk.pdf
	$(RMDIR) fltk.d
	$(RM) *~ *.bck *.bck

depend:

install: $(MANPAGES)
	echo "Installing documentation files in $(DESTDIR)$(docdir)..."
	-$(MKDIR) $(DESTDIR)$(docdir)/HTML
	$(CP) $(HTMLFILES) $(IMAGEFILES) index.html $(DESTDIR)$(docdir)/HTML
	$(CHMOD) 644 $(DESTDIR)$(docdir)/HTML/*.*
	echo "Installing man pages in $(DESTDIR)$(mandir)..."
	-$(MKDIR) $(DESTDIR)$(mandir)/cat1
	$(CP) fluid.$(CAT1EXT) $(DESTDIR)$(mandir)/cat1
	$(CHMOD) 644 $(DESTDIR)$(mandir)/cat1/fluid.$(CAT1EXT)
	$(CP) fltk-config.$(CAT1EXT) $(DESTDIR)$(mandir)/cat1
	$(CHMOD) 644 $(DESTDIR)$(mandir)/cat1/fltk-config.$(CAT1EXT)
	-$(MKDIR) $(DESTDIR)$(mandir)/cat3
	$(CP) fltk.$(CAT3EXT) $(DESTDIR)$(mandir)/cat3
	$(CHMOD) 644 $(DESTDIR)$(mandir)/cat3/fltk.$(CAT3EXT)
	-$(MKDIR) $(DESTDIR)$(mandir)/man1
	$(CP) fluid.man $(DESTDIR)$(mandir)/man1/fluid.1
	$(CHMOD) 644 $(DESTDIR)$(mandir)/man1/fluid.1
	$(CP) fltk-config.man $(DESTDIR)$(mandir)/man1/fltk-config.1
	$(CHMOD) 644 $(DESTDIR)$(mandir)/man1/fltk-config.1
	-$(MKDIR) $(DESTDIR)$(mandir)/man3
	$(CP) fltk.man $(DESTDIR)$(mandir)/man3/fltk.3
	$(CHMOD) 644 $(DESTDIR)$(mandir)/man3/fltk.3

install-linux install-osx:
	-$(MKDIR) $(DESTDIR)$(mandir)/cat6
	$(CP) checkers.$(CAT6EXT) $(DESTDIR)$(mandir)/cat6
	$(CHMOD) 644 $(DESTDIR)$(mandir)/cat6/checkers.$(CAT6EXT)
	$(CP) sudoku.$(CAT6EXT) $(DESTDIR)$(mandir)/cat6
	$(CHMOD) 644 $(DESTDIR)$(mandir)/cat6/sudoku.$(CAT6EXT)
	-$(MKDIR) $(DESTDIR)$(mandir)/man6
	$(CP) checkers.man $(DESTDIR)$(mandir)/man6/checkers.6
	$(CHMOD) 644 $(DESTDIR)$(mandir)/man6/checkers.6
	$(CP) sudoku.man $(DESTDIR)$(mandir)/man6/sudoku.6
	$(CHMOD) 644 $(DESTDIR)$(mandir)/man6/sudoku.6


uninstall:
	$(RMDIR) $(DESTDIR)$(docdir)
	$(RM) $(DESTDIR)$(mandir)/cat1/fluid.$(CAT1EXT)
	$(RM) $(DESTDIR)$(mandir)/man1/fluid.1
	$(RM) $(DESTDIR)$(mandir)/cat1/fltk-config.$(CAT1EXT)
	$(RM) $(DESTDIR)$(mandir)/man1/fltk-config.1
	$(RM) $(DESTDIR)$(mandir)/cat3/fltk.$(CAT3EXT)
	$(RM) $(DESTDIR)$(mandir)/man3/fltk.3

uninstall-linux uninstall-osx:
	$(RM) $(DESTDIR)$(mandir)/cat6/checkers.$(CAT6EXT)
	$(RM) $(DESTDIR)$(mandir)/cat6/sudoku.$(CAT6EXT)
	$(RM) $(DESTDIR)$(mandir)/man6/checkers.6
	$(RM) $(DESTDIR)$(mandir)/man6/sudoku.6

# Base html files are now the readable ones, so this target is not make by
# default...
fltk.d/index.html: $(HTMLFILES) $(IMAGEFILES)
	echo "Generating HTML documentation..."
	-$(RMDIR) fltk.d
	-$(MKDIR) fltk.d
	-$(HTMLDOC) --verbose --batch fltk.book -d fltk.d -t html

fltk.ps: $(HTMLFILES) $(IMAGEFILES)
	echo "Generating PostScript documentation..."
	$(RM) fltk.ps
	-$(HTMLDOC) --verbose --batch fltk.book $(MEDIA) -f fltk.ps

fltk.pdf: $(HTMLFILES) $(IMAGEFILES)
	echo "Generating PDF documentation..."
	$(RM) fltk.pdf
	-$(HTMLDOC) --verbose --batch fltk.book $(MEDIA) -f fltk.pdf

#
# End of "$Id: Makefile 4756 2006-01-15 18:36:16Z mike $".
#

=== fluid/Makefile ===
#
# "$Id: Makefile 4759 2006-01-15 19:26:08Z mike $"
#
# FLUID makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2005 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

CPPFILES = \
	CodeEditor.cxx \
	Fl_Function_Type.cxx \
	Fl_Group_Type.cxx \
	Fl_Menu_Type.cxx \
	Fl_Type.cxx \
	Fl_Widget_Type.cxx \
	Fl_Window_Type.cxx \
	Fluid_Image.cxx \
	about_panel.cxx \
	align_widget.cxx \
	alignment_panel.cxx \
	code.cxx \
	factory.cxx \
	file.cxx \
	fluid.cxx \
	function_panel.cxx \
	i18n.cxx \
	template_panel.cxx \
	undo.cxx \
	widget_panel.cxx

FLUIDFILES= about_panel.cxx  alignment_panel.cxx  function_panel.cxx  widget_panel.cxx

################################################################

OBJECTS = $(CPPFILES:.cxx=.o)

FLUIDHEADERS = $(FLUIDFILES:.cxx=.h)

CLEAN	= core*

include ../makeinclude

# %.cxx: %.fl %.h
# 	fluid -c -o $@ $<
# 
# %.h : %.fl
# 	fluid -c -o /dev/null -h $@ $<

all:	$(FLUID) fluid$(EXEEXT) po-files

fluid$(EXEEXT):		$(OBJECTS) ../lib/$(LIBNAME) ../lib/$(FLLIBNAME) \
			../lib/$(IMGLIBNAME)
	echo Linking $@...
	$(CXX) $(CXXFLAGS) -o $@ $(OBJECTS) $(LINKFLTKFORMS) $(LINKFLTKIMG) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r
	$(CP) $@ fluid.app/Contents/MacOS

fluid-shared$(EXEEXT):	$(OBJECTS) ../src/$(DSONAME) ../src/$(FLDSONAME) \
			../src/$(IMGDSONAME)
	echo Linking $@...
	$(CXX) $(CXXFLAGS) -o $@ $(OBJECTS) $(LINKSHARED) $(LDLIBS)
	$(POSTBUILD) $@ ../FL/mac.r

po-files:
	cd po && $(MAKE)

clean:
	-$(RM) *.o core.* *~ *.bck *.bck
	-$(RM) core fluid$(EXEEXT) fluid-shared$(EXEEXT) $(CLEAN)
	cd po && $(MAKE) clean

clean_fl:
	-rm -f $(FLUIDHEADERS) $(FLUIDFILES)

depend:	$(CPPFILES)
	makedepend -Y -I.. -f makedepend $(CPPFILES)

# Automatically generated dependencies...
include makedepend

install: all
	echo "Installing FLUID in $(DESTDIR)$(bindir)..."
	-$(MKDIR) $(DESTDIR)$(bindir)
	$(CP) $(FLUID) $(DESTDIR)$(bindir)/fluid$(EXEEXT)
	$(STRIP) $(DESTDIR)$(bindir)/fluid$(EXEEXT)
	$(DESTDIR)$(bindir)/fltk-config --post $(DESTDIR)$(bindir)/fluid$(EXEEXT)
	$(CHMOD) 755 $(DESTDIR)$(bindir)/fluid$(EXEEXT)
	cd po && $(MAKE) install LOCALEDIR=$(DESTDIR)$(datadir)/locale/

install-linux:
	-$(MKDIR) $(DESTDIR)/usr/share/applnk/Development
	$(CP) fluid.desktop  $(DESTDIR)/usr/share/applnk/Development
	for size in 16 32 48 64 128; do \
		if test ! -d $(DESTDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps; then \
			$(MKDIR) $(DESTDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps; \
		fi; \
		$(CP) icons/fluid-$$size.png $(DESTDIR)/usr/share/icons/hicolor/$${size}x$${size}/apps/fluid.png; \
	done
	-$(MKDIR) $(DESTDIR)/usr/share/mimelnk/application
	$(CP) x-fluid.desktop  $(DESTDIR)/usr/share/mimelnk/application

install-osx:
	-$(MKDIR) $(DESTDIR)/Applications/fluid.app
	-$(MKDIR) $(DESTDIR)/Applications/fluid.app/Contents
	$(CP) fluid.app/Contents/Info.plist $(DESTDIR)/Applications/fluid.app/Contents/Info.plist
	$(CP) fluid.app/Contents/PkgInfo $(DESTDIR)/Applications/fluid.app/Contents/PkgInfo
	-$(MKDIR) $(DESTDIR)/Applications/fluid.app/Contents/MacOS
	$(LN) $(bindir)/fluid $(DESTDIR)/Application/fluid.app/Contents/MacOS/fluid
	-$(MKDIR) $(DESTDIR)/Applications/fluid.app/Contents/Resources
	$(CP) fluid.app/Contents/Resources/fluid.icns $(DESTDIR)/Applications/fluid.app/Contents/Resources

uninstall:
	$(RM) $(DESTDIR)$(bindir)/fluid$(EXEEXT)
	cd po && $(MAKE) uninstall LOCALEDIR=$(DESTDIR)$(datadir)/locale/

uninstall-linux:
	$(RM) $(DESTDIR)/usr/share/applnk/Development/fluid.desktop
	$(RM) $(DESTDIR)/usr/share/icons/hicolor/*/fluid.png
	$(RM) $(DESTDIR)/usr/share/mimelnk/application/x-fluid.desktop

uninstall-osx:
	$(RM) -r $(DESTDIR)/Applications/fluid.app


#
# Note: The rebuild target can only be used if you have the original .fl
#       files.  This is normally only used by the FLTK maintainers...
#

rebuild:
	./fluid -c about_panel.fl
	./fluid -c alignment_panel.fl
	./fluid -c function_panel.fl
	./fluid -c print_panel.fl
	./fluid -c template_panel.fl
	./fluid -c widget_panel.fl

#
# End of "$Id: Makefile 4759 2006-01-15 19:26:08Z mike $".
#

=== src/Makefile ===
#
# "$Id: Makefile 4474 2005-08-08 00:54:30Z mike $"
#
# Library makefile for the Fast Light Tool Kit (FLTK).
#
# Copyright 1998-2005 by Bill Spitzak and others.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.
#
# Please report all bugs and problems on the following page:
#
#      http://www.fltk.org/str.php
#

CPPFILES = \
	Fl.cxx \
	Fl_Adjuster.cxx \
	Fl_Bitmap.cxx \
	Fl_Browser.cxx \
	Fl_Browser_.cxx \
	Fl_Browser_load.cxx \
	Fl_Box.cxx \
	Fl_Button.cxx \
	Fl_Chart.cxx \
	Fl_Check_Browser.cxx \
	Fl_Check_Button.cxx \
	Fl_Choice.cxx \
	Fl_Clock.cxx \
	Fl_Color_Chooser.cxx \
	Fl_Counter.cxx \
	Fl_Dial.cxx \
	Fl_Double_Window.cxx \
	Fl_File_Browser.cxx \
	Fl_File_Chooser.cxx \
	Fl_File_Chooser2.cxx \
	Fl_File_Icon.cxx \
	Fl_File_Input.cxx \
	Fl_Group.cxx \
	Fl_Help_View.cxx \
	Fl_Image.cxx \
	Fl_Input.cxx \
	Fl_Input_.cxx \
	Fl_Light_Button.cxx \
	Fl_Menu.cxx \
	Fl_Menu_.cxx \
	Fl_Menu_Bar.cxx \
	Fl_Sys_Menu_Bar.cxx \
	Fl_Menu_Button.cxx \
	Fl_Menu_Window.cxx \
	Fl_Menu_add.cxx \
	Fl_Menu_global.cxx \
	Fl_Multi_Label.cxx \
	Fl_Overlay_Window.cxx \
	Fl_Pack.cxx \
	Fl_Pixmap.cxx \
	Fl_Positioner.cxx \
	Fl_Preferences.cxx \
	Fl_Progress.cxx \
	Fl_Repeat_Button.cxx \
	Fl_Return_Button.cxx \
	Fl_Roller.cxx \
	Fl_Round_Button.cxx \
	Fl_Scroll.cxx \
	Fl_Scrollbar.cxx \
	Fl_Shared_Image.cxx \
	Fl_Single_Window.cxx \
	Fl_Slider.cxx \
	Fl_Tabs.cxx \
	Fl_Text_Buffer.cxx \
	Fl_Text_Display.cxx \
	Fl_Text_Editor.cxx \
	Fl_Tile.cxx \
	Fl_Tiled_Image.cxx \
	Fl_Tooltip.cxx \
	Fl_Valuator.cxx \
	Fl_Value_Input.cxx \
	Fl_Value_Output.cxx \
	Fl_Value_Slider.cxx \
	Fl_Widget.cxx \
	Fl_Window.cxx \
	Fl_Window_fullscreen.cxx \
	Fl_Window_hotspot.cxx \
	Fl_Window_iconize.cxx \
	Fl_Wizard.cxx \
	Fl_XBM_Image.cxx \
	Fl_XPM_Image.cxx \
	Fl_abort.cxx \
	Fl_add_idle.cxx \
	Fl_arg.cxx \
	Fl_compose.cxx \
	Fl_display.cxx \
	Fl_get_key.cxx \
	Fl_get_system_colors.cxx \
	Fl_grab.cxx \
	Fl_lock.cxx \
	Fl_own_colormap.cxx \
	Fl_visual.cxx \
	Fl_x.cxx \
	filename_absolute.cxx \
	filename_expand.cxx \
	filename_ext.cxx \
	filename_isdir.cxx \
	filename_list.cxx \
	filename_match.cxx \
	filename_setext.cxx \
	fl_arc.cxx \
	fl_arci.cxx \
	fl_ask.cxx \
	fl_boxtype.cxx \
	fl_color.cxx \
	fl_cursor.cxx \
	fl_curve.cxx \
	fl_diamond_box.cxx \
	fl_dnd.cxx \
	fl_draw.cxx \
	fl_draw_image.cxx \
	fl_draw_pixmap.cxx \
	fl_engraved_label.cxx \
	fl_file_dir.cxx \
	fl_font.cxx \
	fl_labeltype.cxx \
	fl_line_style.cxx \
	fl_oval_box.cxx \
	fl_overlay.cxx \
	fl_overlay_visual.cxx \
	fl_plastic.cxx \
	fl_read_image.cxx \
	fl_rect.cxx \
	fl_round_box.cxx \
	fl_rounded_box.cxx \
	fl_set_font.cxx \
	fl_set_fonts.cxx \
	fl_scroll_area.cxx \
	fl_shadow_box.cxx \
	fl_shortcut.cxx \
	fl_show_colormap.cxx \
	fl_symbols.cxx \
	fl_vertex.cxx \
	screen_xywh.cxx

FLCPPFILES = \
	forms_compatability.cxx \
	forms_bitmap.cxx \
	forms_free.cxx \
	forms_fselect.cxx \
	forms_pixmap.cxx \
	forms_timer.cxx

GLCPPFILES = \
	Fl_Gl_Choice.cxx \
	Fl_Gl_Overlay.cxx \
	Fl_Gl_Window.cxx \
	gl_draw.cxx \
	gl_start.cxx \
	glut_compatability.cxx \
	glut_font.cxx

IMGCPPFILES = \
	fl_images_core.cxx \
	Fl_BMP_Image.cxx \
	Fl_File_Icon2.cxx \
	Fl_GIF_Image.cxx \
	Fl_Help_Dialog.cxx \
	Fl_JPEG_Image.cxx \
	Fl_PNG_Image.cxx \
	Fl_PNM_Image.cxx

CFILES = fl_call_main.c flstring.c scandir.c numericsort.c vsnprintf.c

################################################################

include ../makeinclude

OBJECTS = $(CPPFILES:.cxx=.o) $(CFILES:.c=.o)
GLOBJECTS = $(GLCPPFILES:.cxx=.o)
FLOBJECTS = $(FLCPPFILES:.cxx=.o)
IMGOBJECTS = $(IMGCPPFILES:.cxx=.o)

all:	$(LIBNAME) $(DSONAME) \
	$(FLLIBNAME) $(FLDSONAME) \
	$(GLLIBNAME) $(GLDSONAME) \
	$(IMGLIBNAME) $(IMGDSONAME)

$(LIBNAME): $(OBJECTS)
	echo $(LIBCOMMAND) $@ ...
	$(RM) $@
	$(LIBCOMMAND) $@ $(OBJECTS)
	$(RANLIB) $@

libfltk.so.1.1: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(OBJECTS)
	$(RM) libfltk.so
	$(LN) libfltk.so.1.1 libfltk.so

libfltk.sl.1.1: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(OBJECTS)
	$(RM) libfltk.sl
	$(LN) libfltk.sl.1.1 libfltk.sl

libfltk.1.1.dylib: $(OBJECTS)
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(OBJECTS) $(LDLIBS)
	$(RM) libfltk.dylib
	$(LN) libfltk.1.1.dylib libfltk.dylib

libfltk_s.a: $(OBJECTS)
	echo $(DSOCOMMAND) libfltk_s.o ...
	$(DSOCOMMAND) libfltk_s.o $(OBJECTS) $(IMAGELIBS)
	echo $(LIBCOMMAND) libfltk_s.a libfltk_s.o
	$(RM) $@
	$(LIBCOMMAND) libfltk_s.a libfltk_s.o
	$(CHMOD) +x libfltk_s.a

$(FLLIBNAME): $(FLOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	$(RM) $@
	$(LIBCOMMAND) $@ $(FLOBJECTS)
	$(RANLIB) $@

libfltk_forms.so.1.1: $(FLOBJECTS) libfltk.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(FLOBJECTS) -L. -lfltk
	$(RM) libfltk_forms.so
	$(LN) libfltk_forms.so.1.1 libfltk_forms.so

libfltk_forms.sl.1.1: $(FLOBJECTS) libfltk.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(FLOBJECTS) -L. -lfltk
	$(RM) libfltk_forms.sl
	$(LN) libfltk_forms.sl.1.1 libfltk_forms.sl

libfltk_forms.1.1.dylib: $(FLOBJECTS) libfltk.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(FLOBJECTS) -L. $(LDLIBS) -lfltk
	$(RM) libfltk_forms.dylib
	$(LN) libfltk_forms.1.1.dylib libfltk_forms.dylib

libfltk_forms_s.a: $(FLOBJECTS)
	echo $(DSOCOMMAND) libfltk_forms_s.o ...
	$(DSOCOMMAND) libfltk_forms_s.o $(FLOBJECTS)
	echo $(LIBCOMMAND) libfltk_forms_s.a libfltk_forms_s.o
	$(RM) $@
	$(LIBCOMMAND) libfltk_forms_s.a libfltk_forms_s.o
	$(CHMOD) +x libfltk_forms_s.a

$(GLLIBNAME): $(GLOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	$(RM) $@
	$(LIBCOMMAND) $@ $(GLOBJECTS)
	$(RANLIB) $@

libfltk_gl.so.1.1: $(GLOBJECTS) libfltk.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(GLOBJECTS) -lGLU -lGL -L. -lfltk
	$(RM) libfltk_gl.so
	$(LN) libfltk_gl.so.1.1 libfltk_gl.so

libfltk_gl.sl.1.1: $(GLOBJECTS) libfltk.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(GLOBJECTS) -lGLU -lGL -L. -lfltk
	$(RM) libfltk_gl.sl
	$(LN) libfltk_gl.sl.1.1 libfltk_gl.sl

libfltk_gl.1.1.dylib: $(GLOBJECTS) libfltk.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(GLOBJECTS) -L. $(GLDLIBS) -lfltk
	$(RM) libfltk_gl.dylib
	$(LN) libfltk_gl.1.1.dylib libfltk_gl.dylib

libfltk_gl_s.a: $(GLOBJECTS)
	echo $(DSOCOMMAND) libfltk_gl_s.o ...
	$(DSOCOMMAND) libfltk_gl_s.o $(GLOBJECTS)
	echo $(LIBCOMMAND) libfltk_gl_s.a libfltk_gl_s.o
	$(RM) $@
	$(LIBCOMMAND) libfltk_gl_s.a libfltk_gl_s.o
	$(CHMOD) +x libfltk_gl_s.a

$(IMGLIBNAME): $(IMGOBJECTS)
	echo $(LIBCOMMAND) $@ ...
	$(RM) $@
	$(LIBCOMMAND) $@ $(IMGOBJECTS)
	$(RANLIB) $@

libfltk_images.so.1.1: $(IMGOBJECTS) libfltk.so.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(IMGOBJECTS) -L. $(IMAGELIBS) -lfltk
	$(RM) libfltk_images.so
	$(LN) libfltk_images.so.1.1 libfltk_images.so

libfltk_images.sl.1.1: $(IMGOBJECTS) libfltk.sl.1.1
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ $(IMGOBJECTS) -L. $(IMAGELIBS) -lfltk
	$(RM) libfltk_images.sl
	$(LN) libfltk_images.sl.1.1 libfltk_images.sl

libfltk_images.1.1.dylib: $(IMGOBJECTS) libfltk.1.1.dylib
	echo $(DSOCOMMAND) $@ ...
	$(DSOCOMMAND) $@ \
		-install_name $(libdir)/$@ \
		-current_version 1.1.4 \
		-compatibility_version 1.1.0 \
		$(IMGOBJECTS)  -L.$(LDLIBS) $(IMAGELIBS) -lfltk
	$(RM) libfltk_images.dylib
	$(LN) libfltk_images.1.1.dylib libfltk_images.dylib

libfltk_images_s.a: $(IMGOBJECTS)
	echo $(DSOCOMMAND) libfltk_images_s.o ...
	$(DSOCOMMAND) libfltk_images_s.o $(IMGOBJECTS)
	echo $(LIBCOMMAND) libfltk_images_s.a libfltk_images_s.o
	$(RM) $@
	$(LIBCOMMAND) libfltk_images_s.a libfltk_images_s.o
	$(CHMOD) +x libfltk_images_s.a

cygfltknox-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk.a ...
	$(DSOCOMMAND) ../lib/libfltk.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk.dll.a $(LDLIBS)

cygfltknox_forms-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_forms.a ...
	$(DSOCOMMAND) ../lib/libfltk_forms.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_forms.dll.a \
		-L../lib -lfltk $(LDLIBS)

cygfltknox_gl-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_gl.a ...
	$(DSOCOMMAND) ../lib/libfltk_gl.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_gl.dll.a \
		-L../lib -lfltk $(GLDLIBS)

cygfltknox_images-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_images ...
	$(DSOCOMMAND) ../lib/libfltk_images.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_images.dll.a \
		-L../lib -lfltk -ljpeg -lpng -lz $(LDLIBS)

mgwfltknox-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk.a ...
	$(DSOCOMMAND) ../lib/libfltk.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk.dll.a $(LDLIBS)

mgwfltknox_forms-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_forms.a ...
	$(DSOCOMMAND) ../lib/libfltk_forms.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_forms.dll.a \
		-L../lib -lfltk $(LDLIBS)

mgwfltknox_gl-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_gl.a ...
	$(DSOCOMMAND) ../lib/libfltk_gl.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_gl.dll.a \
		-L../lib -lfltk $(GLDLIBS)

mgwfltknox_images-1.1.dll:
	echo $(DSOCOMMAND) ../lib/libfltk_images ...
	$(DSOCOMMAND) ../lib/libfltk_images.a -Wl,--no-whole-archive \
		-Wl,--out-implib=libfltk_images.dll.a \
		-L../lib -lfltk -ljpeg -lpng -lz $(LDLIBS)

clean:
	-$(RM) *.o core.* *~ *.bck *.bck
	-$(RM) $(DSONAME) $(FLDSONAME) $(GLDSONAME) $(IMGDSONAME) \
		../lib/$(LIBNAME) ../lib/$(FLLIBNAME) ../lib/$(GLLIBNAME) \
		../lib/$(IMGLIBNAME) \
		libfltk.so libfltk_forms.so libfltk_gl.so libfltk_images.so \
		libfltk.sl libfltk_forms.sl libfltk_gl.sl libfltk_images.sl \
		libfltk.dylib libfltk_forms.dylib \
		libfltk_gl.dylib libfltk_images.dylib \
		cmap core

depend:	$(CPPFILES) $(FLCPPFILES) $(GLCPPFILES) $(IMGCPPFILES) $(CFILES)
	makedepend -Y -I.. -f makedepend $(CPPFILES) $(FLCPPFILES) \
		$(GLCPPFILES) $(IMGCPPFILES) $(CFILES)

# Automatically generated dependencies...
include makedepend

# These dependencies aren't part of the makedepend file since
# they are part of the WIN32 and MacOS code base...
Fl_get_key.o:	Fl_get_key_mac.cxx Fl_get_key_win32.cxx
Fl_x.o:		Fl_mac.cxx Fl_win32.cxx
fl_color.o:	fl_color_mac.cxx fl_color_win32.cxx
fl_dnd.o:	fl_dnd_mac.cxx fl_dnd_win32.cxx fl_dnd_x.cxx
fl_draw_image.o: fl_draw_image_mac.cxx fl_draw_image_win32.cxx
fl_font.o:	fl_font_mac.cxx fl_font_x.cxx fl_font_xft.cxx fl_font_win32.cxx
fl_read_image.o: fl_read_image_mac.cxx fl_read_image_win32.cxx
fl_set_fonts.o:	fl_set_fonts_mac.cxx fl_set_fonts_x.cxx \
		fl_set_fonts_xft.cxx fl_set_fonts_win32.cxx

fl_arci.o:	../FL/mac.H ../FL/win32.H
Fl_arg.o:	../FL/mac.H ../FL/win32.H
fl_ask.o:	../FL/mac.H ../FL/win32.H
Fl_Bitmap.o:	../FL/mac.H ../FL/win32.H
fl_color.o:	../FL/mac.H ../FL/win32.H
fl_cursor.o:	../FL/mac.H ../FL/win32.H
fl_dnd.o:	../FL/mac.H ../FL/win32.H
Fl.o:	../FL/mac.H ../FL/win32.H
Fl_Double_Window.o:	../FL/mac.H ../FL/win32.H
fl_draw_image.o:	../FL/mac.H ../FL/win32.H
fl_draw_image_mac.o:	../FL/mac.H ../FL/win32.H
fl_draw_image_win32.o:	../FL/mac.H ../FL/win32.H
fl_draw_pixmap.o:	../FL/mac.H ../FL/win32.H
Fl_File_Chooser2.o:	../FL/mac.H ../FL/win32.H
fl_font.o:	../FL/mac.H ../FL/win32.H
Fl_get_key.o:	../FL/mac.H ../FL/win32.H
Fl_get_system_colors.o:	../FL/mac.H ../FL/win32.H
Fl_Gl_Choice.o:	../FL/mac.H ../FL/win32.H

=== fluid/po/Makefile ===
# Copyright 2005 Miriam Ruiz <little_miry@yahoo.es>
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
#
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
# USA.

LOCALEDIR=./

all: fluid.pot build-stamp

fluid.pot:
	cd ..; xgettext -k_ -o po/fluid.pot -f po/i18n_files --from-code=iso-8859-1

build-stamp:
	for f in *.po; do i=`basename $$f .po`; echo Building Language \"$$i\"; msgfmt $$f -o $$i.mo; done
	touch build-stamp

clean:
	#for f in *.po; do i=`echo $$f | awk 'BEGIN {FS="."} {print $$1}'`; rm -rf "$$i"; done
	rm -f *.mo
	rm -f fluid.pot
	rm -f build-stamp

install: build-stamp
	for f in *.mo; do i=`basename $$f .mo`; echo Installing Language \"$$i\"; install -d $(LOCALEDIR)$$i; install -p -d -m 755 $(LOCALEDIR)$$i/LC_MESSAGES; install -m 644 $$f $(LOCALEDIR)$$i/LC_MESSAGES/fluid.mo; done

uninstall:

=== debian/changelog ===
fltk1.1 (1.1.7-3) unstable; urgency=low

  * debian/po/pt.po: new (European) Portuguese translation for
    libfltk1.1-dev, courtesy of Pedro Ribeiro <p.m42.ribeiro@gmail.com>.
    (Closes: #410733.)
  * Declare (preexisting) compliance with Standards-Version: 3.7.2.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 21 Feb 2007 16:56:13 -0500

fltk1.1 (1.1.7-2) unstable; urgency=low

  * debian/po/it.po: new Italian Debconf translation for libfltk1.1-dev,
    thanks to Andrea Bolognani <eof@kiyuko.org>.  (Closes: #358191.)
  * Merge in more fixes from the 1.1 branch, whose likelihood of seeing
    another upstream release is highly uncertain; bump shlibs requirement
    because these add two new public methods.
  * (Build-)depend directly on libgl(u)1-mesa-dev by default (but keep
    the alternate [build-]dependencies on virtual packages, of course).
  * Install fluid-32.xpm, and use it as fluid's menu icon.
  * Move up to debhelper compatibility level 5, and make use of cdbs
    0.4.37's automatic -dbg package handling.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 16 Apr 2006 14:34:24 -0400

fltk1.1 (1.1.7-1) unstable; urgency=low

  * New upstream release; among many other things:
    - Fixes nonsensical sentence in documentation.  (Closes: #341747.)
    - Documents new foreground()/background() paradigm.  (Closes: #343550.)
  * Enable (newly added) Xinerama support and add an appropriate build
    dependency.
  * Build with the default GCC version on all architectures, as g++-4.0 no
    longer suffers from bug #336463 as of revision 4.0.2-4.  (Closes: #342965.)
  * Generally resynch and tidy up debian/rules.
  * Rework installation slightly, and install fluid's new .desktop files.
  * Update version info in pregenerated FLTKConfig.cmake, and stop shipping
    a redundant copy of FLTKUse.cmake now that it's materialized upstream.
  * Extend fluid's internationalization to the two new fluid-generated
    modules (print_panel and template_panel) and attempt (rather
    conservatively, as I know extremely little Spanish) to bring its
    Spanish translation up to date.  Further assistance, and for that
    matter a Spanish Debconf translation, would be appreciated.
  * Resynch with upstream SVN as of Jan. 31, which just adds some belated
    bugfixes.
  * Make fltk-config(.in) list indirect dependencies only for
    --ldstaticflags (vs. --ldflags), and accordingly downgrade most of
    libfltk1.1-dev's dependencies to suggestions.

 -- Aaron M. Ucko <ucko@debian.org>  Wed,  1 Feb 2006 18:02:47 -0500

fltk1.1 (1.1.6-10) unstable; urgency=low

  * Build with g++-3.4 on mips(el) to work around GCC bug #336463.

 -- Aaron M. Ucko <ucko@debian.org>  Sat,  5 Nov 2005 15:01:51 -0500

fltk1.1 (1.1.6-9) unstable; urgency=low

  * Internationalize fluid and add a Spanish translation, all thanks to
    Miriam Ruiz.  (Closes: #333401.)
  * Backport upstream patch to use (user-specified) FL_FOREGROUND_COLOR et
    al. more widely.  (Closes: #332489.)
  * Ship .cmake files (though cmake already supplies FindFLTK.cmake).
    (Closes: #333245.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri,  4 Nov 2005 22:41:43 -0500

fltk1.1 (1.1.6-8) unstable; urgency=low

  * debian/control: drop long-obsolete alternate (build-)dependencies on
    ancient versions of xlibs-dev.
  * debian/po/*: force an update to ensure a proper Report-Msgid-Bugs-To field.
  * debian/po/sv.po: new Swedish translation, thanks to Daniel Nylander
    <po@danielnylander.se>.  (Closes: #331473.)
  * BTW, libfltk1.1-dev's merged templates file should now be encoded in
    UTF-8 throughout rather than in a hodgepodge of national encodings.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 10 Oct 2005 12:02:06 -0400

fltk1.1 (1.1.6-7) unstable; urgency=medium

  * Clean up build-dependencies now that the dust from the libglu1c2
    fiasco has settled.
  * Give Fl_Check_Browser an appropriate destructor to keep it from
    leaking memory.  (Closes: #321285, but affected programs may need to
    be recompiled to get the fix.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 11 Aug 2005 18:29:23 -0400

fltk1.1 (1.1.6-6) unstable; urgency=low

  * debian/po/vi.po: add a Vietnamese translation, thanks to Clytie
    Siddall <clytie@riverland.net.au>.  (Closes: #314172.)
  * debian/*: C++ transition.  (Closes: #317539.)
    - libfltk1.1c102 renamed back to libfltk1.1, as no package by that
      name ever appeared in a release; redundant conflicts dropped.
    - Make sure to use a post-transition libglu1c2 such as libglu1-xorg.
  * debian/control: standards-version 3.6.2 (already compliant).

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 12 Jul 2005 17:36:12 -0400

fltk1.1 (1.1.6-5) unstable; urgency=medium

  * Revert previous change, which seems to have been ineffective for some
    reason, in favor of commenting out the problematic Makefile rule
    altogether.  (Closes: #310151.)
  * debian/control: Go back to specifying the URL as part of the
    description rather than via a non-standard field that doesn't seem to
    have caught on.  (Closes: #310240.)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 22 May 2005 13:57:06 -0400

fltk1.1 (1.1.6-4) unstable; urgency=medium

  * debian/rules: touch configure to avoid trying to run autoconf as part
    of the build.  (This got lost when converting to CDBS years ago; I
    don't know why it didn't bite any of the many intervening releases.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 20 May 2005 17:40:16 -0400

fltk1.1 (1.1.6-3) unstable; urgency=medium

  * debian/po/cs.po: add a Czech translation, thanks to Miroslav Kure
    <kurem@debian.cz>.  (Closes: #308058.)
  * debian/po/ja.po: add a Japanese translation, thanks to Atsushi Shimono
    <shimono@kwasan.kyoto-u.ac.jp>.  (Closes: #309730.)

 -- Aaron M. Ucko <ucko@debian.org>  Thu, 19 May 2005 21:17:45 -0400

fltk1.1 (1.1.6-2) unstable; urgency=low

  * test/*.cxx: Apply patch from Andreas Jochens <aj@andaco.de> to fix


=== debian/control ===
Source: fltk1.1
Section: libs
Priority: optional
Maintainer: Aaron M. Ucko <ucko@debian.org>
Build-Depends: cdbs (>= 0.4.37), debhelper (>= 5), libjpeg62-dev, libpng12-dev, libxft-dev (>> 2.1.2), libxext-dev, libxinerama-dev, libx11-dev, zlib1g-dev | libz-dev, libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev
Build-Depends-Indep: htmldoc
Standards-Version: 3.7.2

Package: fluid
Section: devel
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libfltk1.1-dev
Suggests: fltk1.1-doc
Conflicts: libfltk1-dev
Replaces: libfltk1-dev
Description: Fast Light (Toolkit) User Interface Designer
 Fluid is an interactive GUI designer for the Fast Light Toolkit,
 allowing graphical development of FLTK-based user interfaces.  It
 natively works with (textual) .fl files, but also includes rough
 support for reading .fd files produced by fdesign (in libforms-bin).
 (FLTK is a very nice LGPLed cross-platform graphical user interface
 toolkit originally based on libForms.)
 .
 URL: http://www.fltk.org/

Package: libfltk1.1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libfltk1.1 (= ${Source-Version}), libx11-dev
Recommends: libgl1-mesa-dev | libgl-dev
Suggests: fltk1.1-doc, fluid, libglu1-mesa-dev | libglu-dev, libjpeg62-dev, libpng12-0-dev, libxft-dev (>> 2.1.2), libxext-dev, libxinerama-dev, zlib1g-dev | libz-dev
Provides: libfltk-dev
Conflicts: libfltk-dev
Replaces: libfltk-dev
Description: Fast Light Toolkit development files
 Libfltk1.1-dev contains the files necessary for compiling programs
 that depend on FLTK, a very nice LGPLed cross-platform C++ GUI
 (graphical user interface) toolkit originally based on libForms.
 .
 URL: http://www.fltk.org/

Package: libfltk1.1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: libfltk1.1c102
Replaces: libfltk1.1c102
Description: Fast Light Toolkit shared libraries
 Libfltk1.1 contains the files necessary for running programs
 dynamically linked with FLTK, a very nice LGPLed cross-platform
 graphical user interface toolkit originally based on libForms.
 .
 URL: http://www.fltk.org/

Package: libfltk1.1-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libfltk1.1 (= ${Source-Version})
Recommends: gdb (>= 6.0)
Conflicts: libfltk1.1c102-dbg
Replaces: libfltk1.1c102-dbg
Description: Fast Light Toolkit shared libraries (debugging symbols)
 This package is useful to provide a backtrace with symbol names in a
 debugger; this facilitates interpretation of core dumps, and aids in finding
 logic errors in programs using the libraries in this package (or the
 libraries themselves).
 .
 Non-programmers will likely have little use for this package.  See the
 libfltk1.1 package for more information.
 .
 URL: http://www.fltk.org/

Package: fltk1.1-doc
Section: doc
Architecture: all
Description: Fast Light Toolkit documentation
 Fltk1.1-doc contains documentation for FLTK, a very nice LGPLed
 cross-platform graphical user interface toolkit originally based on
 libForms, including a chapter on its user interface designer (fluid).
 .
 URL: http://www.fltk.org/

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/buildcore.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# The original definition also includes -fno-exceptions, which we
# might as well punt so that throwing exceptions from callbacks
# actually works.  We also punt -Wall, which CDBS puts in CFLAGS.
FLTK_OPTIM="$(CFLAGS) -Wunused -Wno-format-y2k -fPIC -D_REENTRANT"

DEB_CONFIGURE_EXTRA_FLAGS  = --enable-shared --enable-threads --enable-xft \
                             --enable-xinerama --without-links
# We supply flags via OPTIM, but still need to set CC and CXX,
# particularly on certain architectures.
DEB_CONFIGURE_SCRIPT_ENV   = CC=$(CC) CXX=$(CXX)
DEB_MAKE_INVOKE            = $(MAKE) OPTIM=$(FLTK_OPTIM) STRIP=@:
DEB_MAKE_CHECK_TARGET      =
DEB_INSTALL_CHANGELOGS_ALL = CHANGES
DEB_INSTALL_DOCS_ALL       = CREDITS README
DEB_DH_INSTALL_SOURCEDIR   = debian/tmp
DEB_DH_MAKESHLIBS_ARGS     = -V 'libfltk1.1 (>= 1.1.7-2)'
DEB_DH_SHLIBDEPS_ARGS      = -l debian/libfltk1.1/usr/lib -Lfltk1.1

clean::
	rm -rf autom4te.cache
	rm -f fluid/fluid.app/Contents/MacOS/fluid
	rm -f test/*.app/Contents/MacOS/*

build/fltk1.1-doc::
	$(MAKE) -C documentation fltk.pdf fltk.ps

install/fluid::
	$(MAKE) -C fluid install-linux DESTDIR=$(DEB_DESTDIR)
	mkdir -p debian/tmp/usr/share/pixmaps
	cp fluid/icons/fluid-32.xpm debian/tmp/usr/share/pixmaps

install/libfltk1.1-dev::
	mkdir -p debian/tmp/usr/share/CMake/Modules
	cp CMake/FLTKUse.cmake debian/FLTKConfig.cmake \
	    debian/tmp/usr/share/CMake/Modules

binary-predeb/fluid:: binary-fixup/libfltk1.1

=== debian/watch ===
version=2
# This is somewhat crude, and doesn't account for release candidates, but
# should at least get the last official release, for whatever that's worth.
ftp://ftp2.easysw.com/pub/fltk/(1\.1\.\d+)
